#include <iostream>
#include <cmath>
using namespace std;
int x[100];
int a[100];
int obojeni[100],neobojeni[100];
int n,m;
int solve()
{
    for(int i=0;i<m;i++)
        obojeni[i]=0;
    for(int i=0;i<n;i++)
    {
        if(x[i]==0)
            for(int j=0;j<a[i];j++)
                obojeni[j]++;
        else
            for(int j=a[i];j<m;j++)
                obojeni[j]++;
    }
    int s=0;
    for(int i=0;i<n;i++)
        s+=obojeni[i]*(n-obojeni[i]);
   // for(int i=0;i<m;i++)
    //    cout<<obojeni[i]<<" ";
   // cout<<endl;
    //cout<<s<<endl;
    return s;
}
void All(int n = 15)
{
    int res=99999999;
	if (n <= 0)
	{
		return;
	}
	int nTemp=(int)pow(2, n)-1;
	for (int i = 0;i<=nTemp;i++)
	{
		for (int k = 0; k < n; k++)
		{
			if ((i >> k) & 0x1)
			{
				x[k]=1;
				//cout<<x[k];
			}
			else
			{
				x[k]=0;
				//cout<<x[k];
			}
		}
		res=min(solve(),res);
	//	for (int k = 0; k < n; k++)
          //  cout<<x[k];
		//cout<<endl;
	}
	cout<<res;
}
int main()
{
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        obojeni[i]=0;
        neobojeni[i]=0;
    }
    All(n);
}